package itz.topicos;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JTextField;
import java.awt.Color;
import java.awt.Font;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

//Hacer uso de libreria 
import itz.topicos.librerias.*;

public class Calculadora extends JFrame {

	private JPanel contentPane;
	private JTextField txtValor1;
	private JTextField txtValor2;
	private JTextField txtResultado;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Calculadora frame = new Calculadora();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Calculadora() {
		setTitle("Calculadora Basica");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 499, 262);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JLabel lblValor = new JLabel("Valor 1:");
		lblValor.setBounds(89, 63, 56, 16);
		contentPane.add(lblValor);
		
		txtValor1 = new JTextField();
		txtValor1.setBounds(196, 60, 116, 22);
		contentPane.add(txtValor1);
		txtValor1.setColumns(10);
		
		JLabel lblValor_2 = new JLabel("Valor 2:");
		lblValor_2.setBounds(89, 95, 56, 16);
		contentPane.add(lblValor_2);
		
		txtValor2 = new JTextField();
		txtValor2.setColumns(10);
		txtValor2.setBounds(196, 95, 116, 22);
		contentPane.add(txtValor2);
		
		JLabel lblResultado = new JLabel("Resultado:");
		lblResultado.setBounds(89, 127, 95, 16);
		contentPane.add(lblResultado);
		
		txtResultado = new JTextField();
		txtResultado.setFont(new Font("Times New Roman", Font.BOLD, 15));
		txtResultado.setBackground(Color.YELLOW);
		txtResultado.setEditable(false);
		txtResultado.setColumns(10);
		txtResultado.setBounds(196, 124, 116, 22);
		contentPane.add(txtResultado);
		
		JButton btnSumar = new JButton("Sumar");
		btnSumar.setBounds(345, 27, 97, 25);
		contentPane.add(btnSumar);
		
		JButton btnRestar = new JButton("Restar");
		
		btnRestar.setBounds(345, 59, 97, 25);
		contentPane.add(btnRestar);
		
		JButton btnMultiplicar = new JButton("Multiplicar");
		
		btnMultiplicar.setBounds(345, 95, 97, 25);
		contentPane.add(btnMultiplicar);
		
		JButton btnDividir = new JButton("Dividir");
		
		btnDividir.setBounds(345, 133, 97, 25);
		contentPane.add(btnDividir);
		
		btnSumar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
					double valor1=Double.parseDouble(txtValor1.getText());
					double valor2=Double.parseDouble(txtValor2.getText());
					double resultado=Operacion.sumar(valor1, valor2);
					txtResultado.setText(""+resultado);
				} catch (Exception ex) {
					JOptionPane.showMessageDialog(null,"Datos incorrectos");
				}
				
			}
		});
		btnRestar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				try {
					double valor1=Double.parseDouble(txtValor1.getText());
					double valor2=Double.parseDouble(txtValor2.getText());
					double resultado=Operacion.restar(valor1, valor2);
					txtResultado.setText(""+resultado);
				} catch (Exception ex) {
					JOptionPane.showMessageDialog(null,"Datos incorrectos");
				}
			}
		});
		btnMultiplicar.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				try {
					double valor1=Double.parseDouble(txtValor1.getText());
					double valor2=Double.parseDouble(txtValor2.getText());
					double resultado=Operacion.multiplicar(valor1, valor2);
					txtResultado.setText(""+resultado);
				} catch (Exception ex) {
					JOptionPane.showMessageDialog(null,"Datos incorrectos");
				}
			}
		});
		btnDividir.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				try {
					double valor1=Double.parseDouble(txtValor1.getText());
					double valor2=Double.parseDouble(txtValor2.getText());
					double resultado=Operacion.dividir(valor1, valor2);
					txtResultado.setText(""+resultado);
				} catch (Exception ex) {
					JOptionPane.showMessageDialog(null,"Datos incorrectos");
				}
			}
		});
	}
}
